Bio::ViennaNGS::UCSC(3)

NAME
Bio::ViennaNGS::UCSC - Perl extension for easy UCSC Genome Browser integration.

SYNOPSIS
  use Bio::ViennaNGS::UCSC;

DESCRIPTION
Bio::ViennaNGS::UCSC facilitates routine tasks for automatic visualization of next-generation sequencing data in the UCSC Genome Browser.

  EXPORT
Routines:
  make_assembly_hub, make_track_hub

Variables:
  none

make_assembly_hub()

Build an UCSC Genome Browser Assembly Hub. This function takes 4 parameters:

1 absolute path of input fasta file(e.g. /home/user/input.fa)
2 path to the ouput directory (e.g. /home/user/assemblyhubs/)
3 base URL under which the new Assembly Hub will be available on the Internet, e.g. http://www.foo.com/folder/. The generated Assembly Hub files must be copied to the corresponding file system location on the Web Server and the URL readable for the UCSC Genome Browser server.
4 path for the log file (/home/user/logs/assemblyhubconstructionlog)

make_track_hub()

Build track hubs for the UCSC genome browser. This function takes 4 parameters:

1 chromosome id as used in existing ucsc assembly hub (e.g. chr1)
2 path to the ouput directory (e.g. /home/user/assemblyhubs/)
3 base URL where the output folder will be placed for upload to the UCSC genome browser (e.g. http://www.foo.com/folder/)
4 path for the log file (/home/user/logs/assemblyhubconstructionlog)

SEE ALSO

Bio::ViennaNGS

AUTHORS
Michael T. Wolfinger, <michael@wolfinger.eu>
Florian Eggenhofer, <florian.eggenhofer@univie.ac.at>

COPYRIGHT AND LICENSE
Copyright (C) 2014-2017 Michael T. Wolfinger, <michael@wolfinger.eu>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.